Find the answer to your Linux question:
Results 1 to 3 of 3

Thread: can't install

Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    can't install


    slackware 14.1 on 32 bit
    When run: file ~/Downloads/slackpkg-2.82.0-noarch-2.tgz get: gzip compressed data, from Unix latest modified Thu etc 2011, max compression

    When run: installpkg [or which] ~/Downloads/slackpkg-2.82.0-noarch-2.tgz get: file not found

    Ran these with detail checks several times and get same result, which also results from running any other "which" or "installpkg" command on any other package [openoffice, slacker, etc.].

    I know slackware is intended as a 64 bit system, so as mine is 32, could this be interfering with the performance?
    If so, how do you fix it, and if not, what else may be the problem?
    Appreciatively, wiliamvw

  2. #2
    Linux Guru Rubberman's Avatar
    Join Date
    Apr 2009
    Location
    I can be found either 40 miles west of Chicago, in Chicago, or in a galaxy far, far away.
    Posts
    14,038
    It looks like the file was not downloaded to your system. Can you verify that it is there? If so, what are the permissions on the file? Also, to install it you have to do it as the root user, or with sudo.
    Sometimes, real fast is almost as good as real time.
    Just remember, Semper Gumbi - always be flexible!

  3. #3
    -->
    Solved
    Thanks Rubberman for your reference to being root; actually I was doing this as root, but assumed the tilda would fully represent that. The file was downloaded and checked the conditions as you suggested, but then decided to try a new install using the actual root reference [/root/Downloads/etc ] and it suddenly installed, and have now completed the mirror selection via vim and the update. So thanks for the tip on what to double-check.

$spacer_open
$spacer_close

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •